### Constructor

# GSSDP Client new_with_port

deprecated: 1.6.0

#### Declaration [src]

    GSSDPClient*
    gssdp_client_new_with_port (
      const char* iface,
      guint16 msearch_port,
      GError** error
    )

#### Description [src]

Creates a GSSDP client on `iface`. GSSDPClient will pick the address it finds suitable for using.

Using this utility function, the created client will be using UDA 1.0 and IPv4 only.

Deprecated since: 1.6.0

Use `gssdp_client_new_for_address()` instead.

#### Parameters

`iface`

  Type: `const char*`

  The name of the network interface, or `NULL` for auto-detection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msearch_port`

  Type: `guint16`

  The network port to use for M-SEARCH requests or 0 for random.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSSDPClient`

A new `GSSDPClient` object or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.